Bug 183721 - Kickstart use is broken
Summary: Kickstart use is broken
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-03 02:51 UTC by Jasper O. Hartline
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 18:13:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jasper O. Hartline 2006-03-03 02:51:09 UTC
Description of problem:
Using Kadischi with Anaconda to build Live media for Fedora Core
we pass --kickstart=<KS file> to anaconda and Anaconda throws an exception.

Here is a short excerpt of what is happenning.
-------------------------------------------------
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 680, in ?
    missingIncludeIsFatal=False)
TypeError: __init__() got an unexpected keyword argument 'missingIncludeIsFatal'
-------------------------------------------------

Version-Release number of selected component (if applicable):
10.92.14-1

How reproducible:
Run Kadischi with --kickstart and -C for no prompt only console mode.

Steps to Reproduce:
1. Run Anaconda under Kadischi with --kickstart and -C
2. Exception occurs
3.
  
Actual results:
Exception occurs.

Expected results:
Should install and build a LiveCD with minimal prompting and/or user interaction.

Additional info:
No additional information at this time.

Comment 1 Chris Lumens 2006-03-03 14:46:31 UTC
What version of pykickstart are you using?

Comment 2 Jasper O. Hartline 2006-03-03 17:31:11 UTC
pykickstart-0.20-1
I went ahead and checked for an update in devel and pykickstart-0.22-1
does not show this same behavior. I was unaware kickstart was handled 
externally. 

Thanks.


Note You need to log in before you can comment on or make changes to this bug.